maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
internal.h File Reference
`#include <stdalign.h>`
`#include "internal/networking/bsd.h"`
Include dependency graph for internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | us_socket_t
struct | us_internal_callback_t
struct | us_listen_socket_t
struct | us_socket_context_t

## Enumerations
enum | { POLL_TYPE_SOCKET = 0 , POLL_TYPE_SOCKET_SHUT_DOWN = 1 , POLL_TYPE_SEMI_SOCKET = 2 , POLL_TYPE_CALLBACK = 3 , POLL_TYPE_POLLING_OUT = 4 , POLL_TYPE_POLLING_IN = 8 }

## Functions
void | us_internal_dispatch_ready_poll (struct us_poll_t *p, int error, int events)
void | us_internal_timer_sweep (struct us_loop_t *loop)
void | us_internal_free_closed_sockets (struct us_loop_t *loop)
void | us_internal_loop_link (struct us_loop_t *loop, struct us_socket_context_t *context)
void | us_internal_loop_unlink (struct us_loop_t *loop, struct us_socket_context_t *context)
void | us_internal_loop_data_init (struct us_loop_t *loop, void(*wakeup_cb)(struct us_loop_t *loop), void(*pre_cb)(struct us_loop_t *loop), void(*post_cb)(struct us_loop_t *loop))
void | us_internal_loop_data_free (struct us_loop_t *loop)
void | us_internal_loop_pre (struct us_loop_t *loop)
void | us_internal_loop_post (struct us_loop_t *loop)
struct us_internal_async * | us_internal_create_async (struct us_loop_t *loop, int fallthrough, unsigned int ext_size)
void | us_internal_async_close (struct us_internal_async *a)
void | us_internal_async_set (struct us_internal_async *a, void(*cb)(struct us_internal_async *))
void | us_internal_async_wakeup (struct us_internal_async *a)
unsigned int | us_internal_accept_poll_event (struct us_poll_t *p)
int | us_internal_poll_type (struct us_poll_t *p)
void | us_internal_poll_set_type (struct us_poll_t *p, int poll_type)
void | us_internal_init_loop_ssl_data (struct us_loop_t *loop)
void | us_internal_free_loop_ssl_data (struct us_loop_t *loop)
void | us_internal_socket_context_link_socket (struct us_socket_context_t *context, struct us_socket_t *s)
void | us_internal_socket_context_unlink_socket (struct us_socket_context_t *context, struct us_socket_t *s)
void | us_internal_socket_context_link_listen_socket (struct us_socket_context_t *context, struct us_listen_socket_t *s)
void | us_internal_socket_context_unlink_listen_socket (struct us_socket_context_t *context, struct us_listen_socket_t *s)
void | us_internal_ssl_socket_context_add_server_name (struct us_internal_ssl_socket_context_t *context, const char *hostname_pattern, struct us_socket_context_options_t options, void *user)
void | us_internal_ssl_socket_context_remove_server_name (struct us_internal_ssl_socket_context_t *context, const char *hostname_pattern)
void | us_internal_ssl_socket_context_on_server_name (struct us_internal_ssl_socket_context_t *context, void(*cb)(struct us_internal_ssl_socket_context_t *, const char *))
void * | us_internal_ssl_socket_get_sni_userdata (struct us_internal_ssl_socket_t *s)
void * | us_internal_ssl_socket_context_find_server_name_userdata (struct us_internal_ssl_socket_context_t *context, const char *hostname_pattern)
void * | us_internal_ssl_socket_get_native_handle (struct us_internal_ssl_socket_t *s)
void * | us_internal_ssl_socket_context_get_native_handle (struct us_internal_ssl_socket_context_t *context)
struct us_internal_ssl_socket_context_t * | us_internal_create_ssl_socket_context (struct us_loop_t *loop, int context_ext_size, struct us_socket_context_options_t options)
void | us_internal_ssl_socket_context_free (struct us_internal_ssl_socket_context_t *context)
void | us_internal_ssl_socket_context_on_open (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_open)(struct us_internal_ssl_socket_t *s, int is_client, char *ip, int ip_length))
void | us_internal_ssl_socket_context_on_close (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_close)(struct us_internal_ssl_socket_t *s, int code, void *reason))
void | us_internal_ssl_socket_context_on_data (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_data)(struct us_internal_ssl_socket_t *s, char *data, int length))
void | us_internal_ssl_socket_context_on_writable (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_writable)(struct us_internal_ssl_socket_t *s))
void | us_internal_ssl_socket_context_on_timeout (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_timeout)(struct us_internal_ssl_socket_t *s))
void | us_internal_ssl_socket_context_on_long_timeout (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_timeout)(struct us_internal_ssl_socket_t *s))
void | us_internal_ssl_socket_context_on_end (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_end)(struct us_internal_ssl_socket_t *s))
void | us_internal_ssl_socket_context_on_connect_error (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *(*on_connect_error)(struct us_internal_ssl_socket_t *s, int code))
struct us_listen_socket_t * | us_internal_ssl_socket_context_listen (struct us_internal_ssl_socket_context_t *context, const char *host, int port, int options, int socket_ext_size)
struct us_listen_socket_t * | us_internal_ssl_socket_context_listen_unix (struct us_internal_ssl_socket_context_t *context, const char *path, int options, int socket_ext_size)
struct us_internal_ssl_socket_t * | us_internal_ssl_socket_context_connect (struct us_internal_ssl_socket_context_t *context, const char *host, int port, const char *source_host, int options, int socket_ext_size)
struct us_internal_ssl_socket_t * | us_internal_ssl_socket_context_connect_unix (struct us_internal_ssl_socket_context_t *context, const char *server_path, int options, int socket_ext_size)
int | us_internal_ssl_socket_write (struct us_internal_ssl_socket_t *s, const char *data, int length, int msg_more)
void | us_internal_ssl_socket_timeout (struct us_internal_ssl_socket_t *s, unsigned int seconds)
void * | us_internal_ssl_socket_context_ext (struct us_internal_ssl_socket_context_t *s)
struct us_internal_ssl_socket_context_t * | us_internal_ssl_socket_get_context (struct us_internal_ssl_socket_t *s)
void * | us_internal_ssl_socket_ext (struct us_internal_ssl_socket_t *s)
int | us_internal_ssl_socket_is_shut_down (struct us_internal_ssl_socket_t *s)
void | us_internal_ssl_socket_shutdown (struct us_internal_ssl_socket_t *s)
struct us_internal_ssl_socket_t * | us_internal_ssl_socket_context_adopt_socket (struct us_internal_ssl_socket_context_t *context, struct us_internal_ssl_socket_t *s, int ext_size)
struct us_internal_ssl_socket_context_t * | us_internal_create_child_ssl_socket_context (struct us_internal_ssl_socket_context_t *context, int context_ext_size)
struct us_loop_t * | us_internal_ssl_socket_context_loop (struct us_internal_ssl_socket_context_t *context)

## Class Documentation

## ◆ us_socket_t

struct us_socket_t

Definition at line 89 of file internal.h.

Collaboration diagram for us_socket_t:

Class Members
struct us_socket_context_t * | context |
unsigned char | long_timeout |
unsigned short | low_prio_state |
struct us_socket_t * | next |
struct us_poll_t | p |
struct us_socket_t * | prev |
unsigned char | timeout |

## ◆ us_listen_socket_t

struct us_listen_socket_t

Definition at line 108 of file internal.h.

Collaboration diagram for us_listen_socket_t:

Class Members
struct us_socket_t | s |
unsigned int | socket_ext_size |

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
POLL_TYPE_SOCKET |
POLL_TYPE_SOCKET_SHUT_DOWN |
POLL_TYPE_SEMI_SOCKET |
POLL_TYPE_CALLBACK |
POLL_TYPE_POLLING_OUT |
POLL_TYPE_POLLING_IN |

Definition at line 45 of file internal.h.

## Function Documentation

## ◆ us_internal_accept_poll_event()

unsigned int us_internal_accept_poll_event | ( | struct us_poll_t * | p | ) |

Referenced by us_internal_dispatch_ready_poll().

Here is the caller graph for this function:

## ◆ us_internal_async_close()

void us_internal_async_close | ( | struct us_internal_async * | a | ) |

Referenced by us_internal_loop_data_free().

Here is the caller graph for this function:

## ◆ us_internal_async_set()

void us_internal_async_set | ( | struct us_internal_async * | a,
|  | void(*)(struct us_internal_async *) | cb
| ) |  |

Referenced by us_internal_loop_data_init().

Here is the caller graph for this function:

## ◆ us_internal_async_wakeup()

void us_internal_async_wakeup | ( | struct us_internal_async * | a | ) |

Referenced by us_wakeup_loop().

Here is the caller graph for this function:

## ◆ us_internal_create_async()

struct us_internal_async * us_internal_create_async | ( | struct us_loop_t * | loop,
|  | int | fallthrough,
|  | unsigned int | ext_size
| ) |  |

Referenced by us_internal_loop_data_init().

Here is the caller graph for this function:

## ◆ us_internal_create_child_ssl_socket_context()

struct us_internal_ssl_socket_context_t * us_internal_create_child_ssl_socket_context | ( | struct us_internal_ssl_socket_context_t * | context,
|  | int | context_ext_size
| ) |  |

Referenced by us_create_child_socket_context().

Here is the caller graph for this function:

## ◆ us_internal_create_ssl_socket_context()

struct us_internal_ssl_socket_context_t * us_internal_create_ssl_socket_context | ( | struct us_loop_t * | loop,
|  | int | context_ext_size,
|  | struct us_socket_context_options_t | options
| ) |  |

Referenced by us_create_socket_context().

Here is the caller graph for this function:

## ◆ us_internal_dispatch_ready_poll()

void us_internal_dispatch_ready_poll | ( | struct us_poll_t * | p,
|  | int | error,
|  | int | events
| ) |  |

Definition at line 195 of file loop.c.

References bsd_accept_socket(), bsd_addr_get_ip(), bsd_addr_get_ip_length(), bsd_recv(), bsd_socket_nodelay(), bsd_would_block(), us_internal_callback_t::cb, us_socket_t::context, us_loop_t::data, us_socket_context_t::is_low_prio, us_internal_loop_data_t::last_write_failed, LIBUS_RECV_BUFFER_LENGTH, LIBUS_RECV_BUFFER_PADDING, LIBUS_SOCKET_DESCRIPTOR, LIBUS_SOCKET_ERROR, LIBUS_SOCKET_READABLE, LIBUS_SOCKET_WRITABLE, us_socket_t::long_timeout, us_socket_context_t::loop, us_internal_loop_data_t::low_prio_budget, us_internal_loop_data_t::low_prio_head, us_socket_t::low_prio_state, us_socket_t::next, us_socket_context_t::on_connect_error, us_socket_context_t::on_data, us_socket_context_t::on_end, us_socket_context_t::on_open, us_socket_context_t::on_writable, us_socket_t::p, us_internal_callback_t::p, POLL_TYPE_CALLBACK, POLL_TYPE_SEMI_SOCKET, POLL_TYPE_SOCKET, POLL_TYPE_SOCKET_SHUT_DOWN, us_socket_t::prev, us_internal_loop_data_t::recv_buf, us_listen_socket_t::s, us_listen_socket_t::socket_ext_size, us_socket_t::timeout, us_create_poll(), us_internal_accept_poll_event(), us_internal_poll_set_type(), us_internal_poll_type(), us_internal_socket_context_link_socket(), us_internal_socket_context_unlink_socket(), us_poll_change(), us_poll_events(), us_poll_fd(), us_poll_init(), us_poll_start(), us_socket_close(), us_socket_close_connecting(), us_socket_context(), us_socket_is_closed(), us_socket_is_shut_down(), and us_socket_timeout().

Here is the call graph for this function:

## ◆ us_internal_free_closed_sockets()

void us_internal_free_closed_sockets | ( | struct us_loop_t * | loop | ) |

Definition at line 163 of file loop.c.

References us_internal_loop_data_t::closed_head, us_loop_t::data, us_socket_t::next, and us_poll_free().

Referenced by us_internal_loop_post().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ us_internal_free_loop_ssl_data()

void us_internal_free_loop_ssl_data | ( | struct us_loop_t * | loop | ) |

Referenced by us_internal_loop_data_free().

Here is the caller graph for this function:

## ◆ us_internal_init_loop_ssl_data()

void us_internal_init_loop_ssl_data | ( | struct us_loop_t * | loop | ) |

## ◆ us_internal_loop_data_free()

void us_internal_loop_data_free | ( | struct us_loop_t * | loop | ) |

Definition at line 42 of file loop.c.

References us_loop_t::data, us_internal_loop_data_t::recv_buf, us_internal_loop_data_t::sweep_timer, us_internal_async_close(), us_internal_free_loop_ssl_data(), us_timer_close(), and us_internal_loop_data_t::wakeup_async.

Here is the call graph for this function:

## ◆ us_internal_loop_data_init()

void us_internal_loop_data_init | ( | struct us_loop_t * | loop,
|  | void(*)(struct us_loop_t *loop) | wakeup_cb,
|  | void(*)(struct us_loop_t *loop) | pre_cb,
|  | void(*)(struct us_loop_t *loop) | post_cb
| ) |  |

Definition at line 23 of file loop.c.

References us_internal_loop_data_t::closed_head, us_loop_t::data, us_internal_loop_data_t::head, us_internal_loop_data_t::iteration_nr, us_internal_loop_data_t::iterator, LIBUS_RECV_BUFFER_LENGTH, LIBUS_RECV_BUFFER_PADDING, us_internal_loop_data_t::low_prio_budget, us_internal_loop_data_t::low_prio_head, us_internal_loop_data_t::post_cb, us_internal_loop_data_t::pre_cb, us_internal_loop_data_t::recv_buf, us_internal_loop_data_t::ssl_data, us_internal_loop_data_t::sweep_timer, us_create_timer(), us_internal_async_set(), us_internal_create_async(), and us_internal_loop_data_t::wakeup_async.

Here is the call graph for this function:

## ◆ us_internal_loop_link()

void us_internal_loop_link | ( | struct us_loop_t * | loop,
|  | struct us_socket_context_t * | context
| ) |  |

Definition at line 57 of file loop.c.

References us_loop_t::data, us_internal_loop_data_t::head, us_socket_context_t::next, and us_socket_context_t::prev.

Referenced by us_create_socket_context().

Here is the caller graph for this function:

## ◆ us_internal_loop_post()

void us_internal_loop_post | ( | struct us_loop_t * | loop | ) |

Definition at line 190 of file loop.c.

References us_loop_t::data, us_internal_loop_data_t::post_cb, and us_internal_free_closed_sockets().

Here is the call graph for this function:

## ◆ us_internal_loop_pre()

void us_internal_loop_pre | ( | struct us_loop_t * | loop | ) |

Definition at line 184 of file loop.c.

References us_loop_t::data, us_internal_loop_data_t::iteration_nr, us_internal_loop_data_t::pre_cb, and us_internal_handle_low_priority_sockets().

Here is the call graph for this function:

## ◆ us_internal_loop_unlink()

void us_internal_loop_unlink | ( | struct us_loop_t * | loop,
|  | struct us_socket_context_t * | context
| ) |  |

Definition at line 68 of file loop.c.

References us_loop_t::data, us_internal_loop_data_t::head, us_socket_context_t::next, and us_socket_context_t::prev.

Referenced by us_socket_context_free().

Here is the caller graph for this function:

## ◆ us_internal_poll_set_type()

void us_internal_poll_set_type | ( | struct us_poll_t * | p,
|  | int | poll_type
| ) |  |

Referenced by us_internal_dispatch_ready_poll(), and us_socket_shutdown().

Here is the caller graph for this function:

## ◆ us_internal_poll_type()

int us_internal_poll_type | ( | struct us_poll_t * | p | ) |

Referenced by us_internal_dispatch_ready_poll(), us_socket_is_established(), and us_socket_is_shut_down().

Here is the caller graph for this function:

## ◆ us_internal_socket_context_link_listen_socket()

void us_internal_socket_context_link_listen_socket | ( | struct us_socket_context_t * | context,
|  | struct us_listen_socket_t * | s
| ) |  |

Definition at line 110 of file context.c.

References us_socket_t::context, us_socket_context_t::head_listen_sockets, us_socket_t::next, us_socket_t::prev, and us_listen_socket_t::s.

Referenced by us_socket_context_listen(), and us_socket_context_listen_unix().

Here is the caller graph for this function:

## ◆ us_internal_socket_context_link_socket()

void us_internal_socket_context_link_socket | ( | struct us_socket_context_t * | context,
|  | struct us_socket_t * | s
| ) |  |

Definition at line 121 of file context.c.

References us_socket_t::context, us_socket_context_t::head_sockets, us_socket_t::next, and us_socket_t::prev.

Referenced by us_internal_dispatch_ready_poll(), us_internal_handle_low_priority_sockets(), us_socket_context_adopt_socket(), us_socket_context_connect(), and us_socket_context_connect_unix().

Here is the caller graph for this function:

## ◆ us_internal_socket_context_unlink_listen_socket()

void us_internal_socket_context_unlink_listen_socket | ( | struct us_socket_context_t * | context,
|  | struct us_listen_socket_t * | s
| ) |  |

Definition at line 69 of file context.c.

References us_socket_t::context, us_socket_context_t::head_listen_sockets, us_socket_context_t::iterator, us_socket_t::next, us_socket_t::prev, and us_listen_socket_t::s.

Referenced by us_listen_socket_close().

Here is the caller graph for this function:

## ◆ us_internal_socket_context_unlink_socket()

void us_internal_socket_context_unlink_socket | ( | struct us_socket_context_t * | context,
|  | struct us_socket_t * | s
| ) |  |

Definition at line 89 of file context.c.

References us_socket_context_t::head_sockets, us_socket_context_t::iterator, us_socket_t::next, us_socket_t::prev, and us_listen_socket_t::s.

Referenced by us_internal_dispatch_ready_poll(), us_socket_close(), us_socket_close_connecting(), and us_socket_context_adopt_socket().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_add_server_name()

void us_internal_ssl_socket_context_add_server_name | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | hostname_pattern,
|  | struct us_socket_context_options_t | options,
|  | void * | user
| ) |  |

Referenced by us_socket_context_add_server_name().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_adopt_socket()

struct us_internal_ssl_socket_t * us_internal_ssl_socket_context_adopt_socket | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t * | s,
|  | int | ext_size
| ) |  |

Referenced by us_socket_context_adopt_socket().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_connect()

struct us_internal_ssl_socket_t * us_internal_ssl_socket_context_connect | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | host,
|  | int | port,
|  | const char * | source_host,
|  | int | options,
|  | int | socket_ext_size
| ) |  |

Referenced by us_socket_context_connect().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_connect_unix()

struct us_internal_ssl_socket_t * us_internal_ssl_socket_context_connect_unix | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | server_path,
|  | int | options,
|  | int | socket_ext_size
| ) |  |

Referenced by us_socket_context_connect_unix().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_ext()

void * us_internal_ssl_socket_context_ext | ( | struct us_internal_ssl_socket_context_t * | s | ) |

Referenced by us_socket_context_ext().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_find_server_name_userdata()

void * us_internal_ssl_socket_context_find_server_name_userdata | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | hostname_pattern
| ) |  |

Referenced by us_socket_context_find_server_name_userdata().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_free()

void us_internal_ssl_socket_context_free | ( | struct us_internal_ssl_socket_context_t * | context | ) |

Referenced by us_socket_context_free().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_get_native_handle()

void * us_internal_ssl_socket_context_get_native_handle | ( | struct us_internal_ssl_socket_context_t * | context | ) |

Referenced by us_socket_context_get_native_handle().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_listen()

struct us_listen_socket_t * us_internal_ssl_socket_context_listen | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | host,
|  | int | port,
|  | int | options,
|  | int | socket_ext_size
| ) |  |

Referenced by us_socket_context_listen().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_listen_unix()

struct us_listen_socket_t * us_internal_ssl_socket_context_listen_unix | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | path,
|  | int | options,
|  | int | socket_ext_size
| ) |  |

Referenced by us_socket_context_listen_unix().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_loop()

struct us_loop_t * us_internal_ssl_socket_context_loop | ( | struct us_internal_ssl_socket_context_t * | context | ) |

## ◆ us_internal_ssl_socket_context_on_close()

void us_internal_ssl_socket_context_on_close | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s, int code, void *reason) | on_close
| ) |  |

Referenced by us_socket_context_on_close().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_connect_error()

void us_internal_ssl_socket_context_on_connect_error | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s, int code) | on_connect_error
| ) |  |

Referenced by us_socket_context_on_connect_error().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_data()

void us_internal_ssl_socket_context_on_data | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s, char *data, int length) | on_data
| ) |  |

Referenced by us_socket_context_on_data().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_end()

void us_internal_ssl_socket_context_on_end | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s) | on_end
| ) |  |

Referenced by us_socket_context_on_end().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_long_timeout()

void us_internal_ssl_socket_context_on_long_timeout | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s) | on_timeout
| ) |  |

Referenced by us_socket_context_on_long_timeout().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_open()

void us_internal_ssl_socket_context_on_open | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s, int is_client, char *ip, int ip_length) | on_open
| ) |  |

Referenced by us_socket_context_on_open().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_server_name()

void us_internal_ssl_socket_context_on_server_name | ( | struct us_internal_ssl_socket_context_t * | context,
|  | void(*)(struct us_internal_ssl_socket_context_t *, const char *) | cb
| ) |  |

Referenced by us_socket_context_on_server_name().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_timeout()

void us_internal_ssl_socket_context_on_timeout | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s) | on_timeout
| ) |  |

Referenced by us_socket_context_on_timeout().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_on_writable()

void us_internal_ssl_socket_context_on_writable | ( | struct us_internal_ssl_socket_context_t * | context,
|  | struct us_internal_ssl_socket_t *(*)(struct us_internal_ssl_socket_t *s) | on_writable
| ) |  |

Referenced by us_socket_context_on_writable().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_context_remove_server_name()

void us_internal_ssl_socket_context_remove_server_name | ( | struct us_internal_ssl_socket_context_t * | context,
|  | const char * | hostname_pattern
| ) |  |

Referenced by us_socket_context_remove_server_name().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_ext()

void * us_internal_ssl_socket_ext | ( | struct us_internal_ssl_socket_t * | s | ) |

Referenced by us_socket_ext().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_get_context()

struct us_internal_ssl_socket_context_t * us_internal_ssl_socket_get_context | ( | struct us_internal_ssl_socket_t * | s | ) |

## ◆ us_internal_ssl_socket_get_native_handle()

void * us_internal_ssl_socket_get_native_handle | ( | struct us_internal_ssl_socket_t * | s | ) |

Referenced by us_socket_get_native_handle().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_get_sni_userdata()

void * us_internal_ssl_socket_get_sni_userdata | ( | struct us_internal_ssl_socket_t * | s | ) |

Referenced by us_socket_server_name_userdata().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_is_shut_down()

int us_internal_ssl_socket_is_shut_down | ( | struct us_internal_ssl_socket_t * | s | ) |

Referenced by us_socket_is_shut_down().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_shutdown()

void us_internal_ssl_socket_shutdown | ( | struct us_internal_ssl_socket_t * | s | ) |

Referenced by us_socket_shutdown().

Here is the caller graph for this function:

## ◆ us_internal_ssl_socket_timeout()

void us_internal_ssl_socket_timeout | ( | struct us_internal_ssl_socket_t * | s,
|  | unsigned int | seconds
| ) |  |

## ◆ us_internal_ssl_socket_write()

int us_internal_ssl_socket_write | ( | struct us_internal_ssl_socket_t * | s,
|  | const char * | data,
|  | int | length,
|  | int | msg_more
| ) |  |

Referenced by us_socket_write().

Here is the caller graph for this function:

## ◆ us_internal_timer_sweep()

void us_internal_timer_sweep | ( | struct us_loop_t * | loop | ) |

Definition at line 83 of file loop.c.

References us_socket_t::context, us_loop_t::data, us_socket_context_t::global_tick, us_internal_loop_data_t::head, us_socket_context_t::head_sockets, us_socket_context_t::iterator, us_internal_loop_data_t::iterator, us_socket_t::long_timeout, us_socket_context_t::long_timestamp, us_socket_t::next, us_socket_context_t::next, us_socket_context_t::on_socket_long_timeout, us_socket_context_t::on_socket_timeout, us_socket_t::timeout, and us_socket_context_t::timestamp.

Referenced by sweep_timer_cb().

Here is the caller graph for this function: